Show / Hide Table of Contents

# Class RestInviteMetadata

Represents additional information regarding the REST-based invite object.

##### Inheritance

System.Object
RestEntity<System.String>
RestInvite
RestInviteMetadata

##### Implements

IUpdateable
IInviteMetadata
IInvite
IEntity<System.String>
IDeletable

##### Inherited Members

RestInvite.ChannelType
RestInvite.ChannelName
RestInvite.GuildName
RestInvite.PresenceCount
RestInvite.MemberCount
RestInvite.ChannelId
RestInvite.GuildId
RestInvite.Code
RestInvite.Url
RestInvite.UpdateAsync(RequestOptions)
RestInvite.DeleteAsync(RequestOptions)
RestInvite.ToString()
RestInvite.IInvite.Guild
RestInvite.IInvite.Channel
RestEntity<String>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestInviteMetadata : RestInvite, IUpdateable, IInviteMetadata, IInvite, IEntity<string>, IDeletable

### Properties

| Improve this Doc View Source

#### CreatedAt

Gets when this invite was created.

##### Declaration

    public DateTimeOffset? CreatedAt { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> | A System.DateTimeOffset representing the time of which the invite was first created.

| Improve this Doc View Source

#### Inviter

Gets the user that created this invite.

##### Declaration

    public RestUser Inviter { get; }

##### Property Value

Type | Description
--- | ---
RestUser |

| Improve this Doc View Source

#### IsRevoked

Gets a value that indicates whether the invite has been revoked.

##### Declaration

    public bool IsRevoked { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if this invite was revoked; otherwise `false`.

| Improve this Doc View Source

#### IsTemporary

Gets a value that indicates whether the invite is a temporary one.

##### Declaration

    public bool IsTemporary { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if users accepting this invite will be removed from the guild when they log off; otherwise `false`.

| Improve this Doc View Source

#### MaxAge

Gets the time (in seconds) until the invite expires.

##### Declaration

    public int? MaxAge { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An System.Int32 representing the time in seconds until this invite expires; `null` if this invite never expires.

| Improve this Doc View Source

#### MaxUses

Gets the max number of uses this invite may have.

##### Declaration

    public int? MaxUses { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An System.Int32 representing the number of uses this invite may be accepted until it is removed from the guild; `null` if none is set.

| Improve this Doc View Source

#### Uses

Gets the number of times this invite has been used.

##### Declaration

    public int? Uses { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An System.Int32 representing the number of times this invite has been used.

### Explicit Interface Implementations

| Improve this Doc View Source

#### IInviteMetadata.Inviter

Gets the user that created this invite.

##### Declaration

    IUser IInviteMetadata.Inviter { get; }

##### Returns

Type | Description
--- | ---
IUser | A user that created this invite.

### Implements

IUpdateable
IInviteMetadata
IInvite
IEntity<TId>
IDeletable